Package org.gradle.plugins.ide.idea

# Class GenerateIdeaModule

java.lang.Object
org.gradle.api.internal.AbstractTask
org.gradle.api.DefaultTask
org.gradle.api.internal.ConventionTask
org.gradle.plugins.ide.api.GeneratorTask<Module>
org.gradle.plugins.ide.api.XmlGeneratorTask<Module>
org.gradle.plugins.ide.idea.GenerateIdeaModule

All Implemented Interfaces:
  `Comparable<Task>`, `org.gradle.api.internal.DynamicObjectAware`, `org.gradle.api.internal.IConventionAware`, `org.gradle.api.internal.TaskInternal`, `Named`, `ExtensionAware`, `Task`, `Configurable<Task>`

@Deprecated @DisableCachingByDefault(because="Not made cacheable, yet") public abstract class GenerateIdeaModule extends XmlGeneratorTask<Module>
Deprecated.
Will be removed in Gradle 10.
Generates an IDEA module file. If you want to fine tune the idea configuration

Please refer to interesting examples on idea configuration in `IdeaModule`.

At this moment nearly all configuration is done via `IdeaModule`.

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from interface org.gradle.api.Named

  `Named.Namer`

- ## Field Summary

  ### Fields inherited from class org.gradle.plugins.ide.api.GeneratorTask

  `afterConfigured, beforeConfigured, domainObject, generator`

  ### Fields inherited from interface org.gradle.api.Task

  `TASK_ACTION, TASK_CONSTRUCTOR_ARGS, TASK_DEPENDS_ON, TASK_DESCRIPTION, TASK_GROUP, TASK_NAME, TASK_OVERWRITE, TASK_TYPE`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `GenerateIdeaModule()`
  Deprecated.
  `GenerateIdeaModule(IdeaModule module)`
  Deprecated.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `protected void`
  `configure(Module xmlModule)`
  Deprecated.
  `protected Module`
  `create()`
  Deprecated.
  `protected void`
  `generate()`
  Deprecated.
  `IdeaModule`
  `getModule()`
  Deprecated.
  The Idea module model containing the details required to generate the module file.
  `File`
  `getOutputFile()`
  Deprecated.
  Configures output *.iml file.
  `org.gradle.internal.xml.XmlTransformer`
  `getXmlTransformer()`
  Deprecated.
  `void`
  `setModule(IdeaModule module)`
  Deprecated.
  `void`
  `setOutputFile(File newOutputFile)`
  Deprecated.
  Sets the output file to write the final configuration to.

  ### Methods inherited from class org.gradle.plugins.ide.api.GeneratorTask

  `getIncremental, getInputFile, getInputFileIfExists, getInstantiator, setInputFile`

  ### Methods inherited from class org.gradle.api.internal.ConventionTask

  `conventionMapping, conventionMapping, getConventionMapping`

  ### Methods inherited from class org.gradle.api.DefaultTask

  `compareTo, configure, dependsOn, doFirst, doFirst, doFirst, doLast, doLast, doLast, finalizedBy, getActions, getAnt, getDependsOn, getDescription, getDestroyables, getDidWork, getEnabled, getExtensions, getFinalizedBy, getGroup, getInputs, getLocalState, getLogger, getLogging, getMustRunAfter, getName, getOutputs, getPath, getProject, getShouldRunAfter, getState, getTaskDependencies, getTemporaryDir, getTimeout, hasProperty, mustRunAfter, onlyIf, onlyIf, onlyIf, property, setActions, setDependsOn, setDescription, setDidWork, setEnabled, setFinalizedBy, setGroup, setMustRunAfter, setOnlyIf, setOnlyIf, setOnlyIf, setProperty, setShouldRunAfter, shouldRunAfter, usesService`

  ### Methods inherited from class org.gradle.api.internal.AbstractTask

  `acceptServiceReferences, appendParallelSafeAction, doNotTrackState, doNotTrackStateIf, getAsDynamicObject, getIdentityPath, getImpliesSubProjects, getLifecycleDependencies, getOnlyIf, getReasonNotToTrackState, getReasonsNotToTrackState, getReasonTaskIsIncompatibleWithConfigurationCache, getRequiredServices, getServices, getSharedResources, getStandardOutputCapture, getTaskActions, getTaskIdentity, getTemporaryDirFactory, hasTaskActions, injectIntoNewInstance, isCompatibleWithConfigurationCache, isEnabled, isHasCustomActions, notCompatibleWithConfigurationCache, prependParallelSafeAction, restoreOnlyIf, restoreTaskActions, setImpliesSubProjects`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

  ### Methods inherited from interface org.gradle.api.Task

  `doNotTrackState, notCompatibleWithConfigurationCache`

- ## Constructor Details

  - ### GenerateIdeaModule

    public GenerateIdeaModule()
    Deprecated.

  - ### GenerateIdeaModule

    @Inject public GenerateIdeaModule(IdeaModule module)
    Deprecated.

- ## Method Details

  - ### generate

    protected void generate()
    Deprecated.
    Overrides:
      `generate` in class `GeneratorTask<Module>`

  - ### create

    protected Module create()
    Deprecated.
    Specified by:
      `create` in class `XmlGeneratorTask<Module>`

  - ### configure

    protected void configure(Module xmlModule)
    Deprecated.
    Specified by:
      `configure` in class `XmlGeneratorTask<Module>`

  - ### getXmlTransformer

    public org.gradle.internal.xml.XmlTransformer getXmlTransformer()
    Deprecated.
    Overrides:
      `getXmlTransformer` in class `XmlGeneratorTask<Module>`

  - ### getOutputFile

    public File getOutputFile()
    Deprecated.
    Configures output *.iml file. It's optional because the task should configure it correctly for you (including making sure it is unique in the multi-module build). If you really need to change the output file name it is much easier to do it via the idea.module.name property.

    Please refer to documentation in `IdeaModule` name property. In IntelliJ IDEA the module name is the same as the name of the *.iml file.

    Overrides:
      `getOutputFile` in class `GeneratorTask<Module>`
    Returns:
      The output file.

  - ### setOutputFile

    public void setOutputFile(File newOutputFile)
    Deprecated.
    Description copied from class: `GeneratorTask`
    Sets the output file to write the final configuration to.
    Overrides:
      `setOutputFile` in class `GeneratorTask<Module>`
    Parameters:
      `newOutputFile` - The output file.

  - ### getModule

    @Internal public IdeaModule getModule()
    Deprecated.
    The Idea module model containing the details required to generate the module file.

  - ### setModule

    public void setModule(IdeaModule module)
    Deprecated.